=== debian/changelog ===
z3 (4.4.0-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 14:05:46 -0600

z3 (4.4.0-3) unstable; urgency=low

  * De-duplicate files in python-z3, depend on libz3-dev instead
  * Added bindings for java, OCaml, and .NET
  * Use multi-arch library locations

 -- Michael Tautschnig <mt@debian.org>  Thu, 27 Aug 2015 15:18:46 +0100

z3 (4.4.0-2) unstable; urgency=low

  * Added __init__.py. Thanks Andrea Villa for the hints. (Closes: #791604)
  * Use emmintrin.h conditionally only (Closes: #789881)

 -- Michael Tautschnig <mt@debian.org>  Tue, 07 Jul 2015 08:08:48 +0100

z3 (4.4.0-1) unstable; urgency=low

  * Initial release (Closes: #786807)
  * Includes patches from unstable branch up to 6a50f10b8b

 -- Michael Tautschnig <mt@debian.org>  Wed, 17 Jun 2015 21:40:44 +0100
