=== debian/control ===
Source: z3
Section: science
Priority: extra
Maintainer: Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>=9),
               dh-python, python,
               javahelper, default-jdk,
               ocaml-nox, dh-ocaml,
               mono-mcs, cli-common-dev (>=0.8~),
                 libmono-system-numerics4.0-cil
Standards-Version: 3.9.6
Homepage: https://github.com/Z3Prover/z3

Package: z3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: theorem prover from Microsoft Research
 Z3 is a state-of-the art theorem prover from Microsoft Research. It can be
 used to check the satisfiability of logical formulas over one or more
 theories. Z3 offers a compelling match for software analysis and verification
 tools, since several common software constructs map directly into supported
 theories.
 .
 The Z3 input format is an extension of the one defined by the SMT-LIB 2.0
 standard.

Package: libz3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: theorem prover from Microsoft Research - development files
 Z3 is a state-of-the art theorem prover from Microsoft Research. It can be
 used to check the satisfiability of logical formulas over one or more
 theories. Z3 offers a compelling match for software analysis and verification
 tools, since several common software constructs map directly into supported
 theories.
 .
 This package can be used to invoke Z3 via its C++ API.

Package: python-z3
Section: python
Architecture: any
Multi-Arch: same
Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: theorem prover from Microsoft Research - Python bindings
 Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
 package for a detailed description.
 .
 This package can be used to invoke Z3 via its Python API.

Package: libz3-cil
Section: cli-mono
Architecture: any
Multi-Arch: same
Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${cli:Depends}, ${shlibs:Depends}
Description: theorem prover from Microsoft Research - CLI bindings
 Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
 package for a detailed description.
 .
 This package can be used to invoke Z3 via its .NET API.

Package: libz3-ocaml-dev
Section: libdevel
Architecture: any
Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: ocaml-findlib
Description: theorem prover from Microsoft Research - OCaml bindings
 Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
 package for a detailed description.
 .
 This package can be used to invoke Z3 via its OCaml API.

Package: libz3-java
Section: java
Architecture: any
Multi-Arch: same
Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${java:Depends}, ${shlibs:Depends}
Description: theorem prover from Microsoft Research - java bindings
 Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
 package for a detailed description.
 .
 This package can be used to invoke Z3 via its Java API.
