=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: z3
 Section: science
-Priority: extra
-Maintainer: Michael Tautschnig <mt@debian.org>
+Priority: optional
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Uploaders: Michael Tautschnig <mt@debian.org>
 Build-Depends: debhelper (>=9),
                dh-python, python,
-               javahelper, default-jdk,
+               javahelper [!hppa !hurd-i386 !m68k !sh4],
+               default-jdk [!hppa !hurd-i386 !m68k !sh4],
                ocaml-nox, dh-ocaml,
-               mono-mcs, cli-common-dev (>=0.8~),
-                 libmono-system-numerics4.0-cil
-Standards-Version: 3.9.6
+               mono-mcs [!mips !mips64el !powerpc !alpha !hppa !hurd-i386 !m68k !powerpcspe !ppc64 !sh4 !sparc64 !x32],
+               cli-common-dev [!mips !mips64el !powerpc !alpha !hppa !hurd-i386 !m68k !powerpcspe !ppc64 !sh4 !sparc64 !x32],
+               libmono-system-numerics4.0-cil [!mips !mips64el !powerpc !alpha !hppa !hurd-i386 !m68k !powerpcspe !ppc64 !sh4 !sparc64 !x32]
+Standards-Version: 4.2.1
 Homepage: https://github.com/Z3Prover/z3
+Vcs-Git: https://salsa.debian.org/pkg-llvm-team/z3.git
+Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/z3
 
 Package: z3
 Architecture: any
@@ -24,11 +29,29 @@
  The Z3 input format is an extension of the one defined by the SMT-LIB 2.0
  standard.
 
+Package: libz3-4
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Breaks: libz3-dev (<< 4.4.1)
+Replaces: libz3-dev (<< 4.4.1)
+Description: theorem prover from Microsoft Research - runtime libraries
+ Z3 is a state-of-the art theorem prover from Microsoft Research. It can be
+ used to check the satisfiability of logical formulas over one or more
+ theories. Z3 offers a compelling match for software analysis and verification
+ tools, since several common software constructs map directly into supported
+ theories.
+ .
+ This package contains runtime libraries. You shouldn't have to install it
+ manually.
+
 Package: libz3-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libz3-4 (= ${binary:Version}), ${misc:Depends}
 Description: theorem prover from Microsoft Research - development files
  Z3 is a state-of-the art theorem prover from Microsoft Research. It can be
  used to check the satisfiability of logical formulas over one or more
@@ -41,7 +64,7 @@
 Package: python-z3
 Section: python
 Architecture: any
-Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Description: theorem prover from Microsoft Research - Python bindings
  Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
@@ -51,8 +74,7 @@
 
 Package: libz3-cil
 Section: cli-mono
-Architecture: any
-Multi-Arch: same
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel ppc64el s390x
 Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${cli:Depends}, ${shlibs:Depends}
 Description: theorem prover from Microsoft Research - CLI bindings
  Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
@@ -61,7 +83,7 @@
  This package can be used to invoke Z3 via its .NET API.
 
 Package: libz3-ocaml-dev
-Section: libdevel
+Section: ocaml
 Architecture: any
 Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Recommends: ocaml-findlib
@@ -73,12 +95,24 @@
 
 Package: libz3-java
 Section: java
-Architecture: any
-Multi-Arch: same
-Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${java:Depends}, ${shlibs:Depends}
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x alpha kfreebsd-amd64 kfreebsd-i386 powerpcspe sparc64 x32
+Multi-Arch: foreign
+Depends: libz3-jni (>= ${binary:Version}), libz3-jni (<< ${source:Version}.1~), libz3-dev, ${misc:Depends}, ${java:Depends}
 Description: theorem prover from Microsoft Research - java bindings
  Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
  package for a detailed description.
  .
  This package can be used to invoke Z3 via its Java API.
 
+Package: libz3-jni
+Section: java
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x alpha kfreebsd-amd64 kfreebsd-i386 powerpcspe sparc64 x32
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libz3-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: theorem prover from Microsoft Research - JNI library
+ Z3 is a state-of-the art theorem prover from Microsoft Research. See the z3
+ package for a detailed description.
+ .
+ This package provides the JNI library to invoke Z3 via its Java API.
+
