=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,48 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+# export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+ifneq (,$(shell dh_listpackages -a | grep libz3-cil))
+    WITH_MONO ?= yes
+else
+    WITH_MONO ?= no
+endif
+
+ifneq (,$(shell dh_listpackages -a | grep libz3-jni))
+    WITH_JAVA ?= yes
+else
+    WITH_JAVA ?= no
+endif
+
 %:
-	dh $@ --parallel --with python2,javahelper,ocaml,cli
+	if [ $(WITH_JAVA) = yes ]; then \
+		if [ $(WITH_MONO) = yes ]; then \
+			dh $@ --parallel --with python2,javahelper,ocaml,cli; \
+		else \
+			dh $@ --parallel --with python2,javahelper,ocaml; \
+		fi; \
+	else \
+		dh $@ --parallel --with python2,ocaml; \
+	fi
 
 override_dh_auto_configure:
-	python scripts/mk_make.py --java --ml --prefix=$(CURDIR)/debian/tmp/usr
-	sed -i 's/^SLINK_FLAGS=.*/SLINK_FLAGS=-shared $(LDFLAGS) -Wl,-soname,libz3.so.4/' build/config.mk
-	sed -i 's/^CXXFLAGS=/CXXFLAGS=-fPIC /' build/config.mk
+	if [ $(WITH_MONO) = yes ]; then \
+		sed -i 's/^DOTNET_ENABLED=.*/DOTNET_ENABLED=True/' scripts/mk_util.py; \
+	else \
+		sed -i 's/^DOTNET_ENABLED=.*/DOTNET_ENABLED=False/' scripts/mk_util.py; \
+	fi
+	if [ $(WITH_JAVA) = yes ]; then \
+		python scripts/mk_make.py --java --ml --prefix=$(CURDIR)/debian/tmp/usr; \
+	else \
+		python scripts/mk_make.py --ml --prefix=$(CURDIR)/debian/tmp/usr; \
+	fi
+	sed -i 's/^SLINK_FLAGS=/SLINK_FLAGS=$$(LDFLAGS) -fPIC /' build/config.mk
+	echo 'libz3$$(SO_EXT): SLINK_FLAGS += -Wl,-soname,libz3.so.4' >> build/Makefile
 	printf '%%:\n\t$$(MAKE) -C build $$@\n' > Makefile
 	printf '\nall:\n\t$$(MAKE) -C build $$@\n' >> Makefile
 	ln -s libz3.so build/libz3.dll
@@ -26,6 +51,7 @@
 
 override_dh_clean:
 	dh_clean
+	sed -i 's/^DOTNET_ENABLED=.*/DOTNET_ENABLED=False/' scripts/mk_util.py
 	$(RM) Makefile scripts/*.pyc
 	$(RM) -r build
 	$(RM) src/api/python/*.pyc
@@ -104,24 +130,32 @@
 	$(RM) interval_lemma_* trigo-lemmas.math
 
 override_dh_auto_install:
-	mkdir -p debian/tmp/usr/lib/python2.7/dist-packages/z3
+	mkdir -p debian/tmp/usr/lib/python2.7/dist-packages/
 	dh_auto_install
-	touch debian/tmp/usr/lib/python2.7/dist-packages/z3/__init__.py
 	$(RM) debian/tmp/usr/lib/python2.7/dist-packages/libz3.so
 	ln -s ../../$(DEB_HOST_MULTIARCH)/libz3.so \
 		debian/tmp/usr/lib/python2.7/dist-packages/libz3.so
 	mv debian/tmp/usr/lib/libz3.so debian/tmp/usr/lib/libz3.so.4
 	ln -s libz3.so.4 debian/tmp/usr/lib/libz3.so
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/jni
-	mv debian/tmp/usr/lib/libz3java.so* \
+	-mv debian/tmp/usr/lib/libz3java.so* \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/jni/
 	mv debian/tmp/usr/lib/libz3.so* \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 
+override_dh_install:
+	dh_install
+	-cp build/api/ml/*.cmxa debian/libz3-ocaml-dev/usr/lib/ocaml/z3/
+	-cp build/api/ml/*.cmx debian/libz3-ocaml-dev/usr/lib/ocaml/z3/
+
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES
-	for p in python-z3 libz3-ocaml-dev libz3-cil libz3-java ; do \
+	for p in python-z3 libz3-ocaml-dev libz3-cil libz3-java libz3-jni ; do \
 		$(RM) -rf debian/$$p/usr/share/doc/$$p/ ; \
-		ln -s libz3-dev debian/$$p/usr/share/doc/$$p ; \
+		ln -s libz3-dev debian/$$p/usr/share/doc/$$p || true ; \
 	done
 
+override_dh_clideps:
+	# dh_clideps fails to find libz3.so automatically
+	# So we have to depend on libz3-dev manually in d/control
+	dh_clideps --exclude-moduleref=libz3
